Showroom Mobile Banking - Enhancement #16526

Additional Function for Bank Muamalat Demo
19 May 2023 10:10 AM - Hoo Dextor

Status: Closed Start date: 19 May 2023

Priority: Normal Due date:

Assignee: Hoo Dextor % Done: 100%

Category: Estimated time: 0.00 hour

Target version: Spent time: 0.00 hour

Phase: R1 Branch Code: showroom-proj-base-i5
Description

https://dev.silverlakemobility.com/svn/mleb/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/

To create 2 additional function:

api link
http://api.alquran.cloud/v1/surah/1/ar.alafasy

Priority on next monday, Alquran, audio depends on work

History

#1 - 19 May 2023 10:14 AM - Hoo Dextor

https://dev.silverlakemobility.com/svn/mleb/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx

#2 - 22 May 2023 03:03 PM - Megat AhmadSalehudin

- Status changed from Assigned to Resolved

- Assignee changed from Megat AhmadSalehudin to Hoo Dextor
- % Done changed from 0 to 100

r224100/r224101 | ahmadsalehudin | 2023-05-22 10:09:21 MYT

Changed paths:

M /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/environments/environment.sg.sit.ts
M /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/libs/shared/constants/src/lib/constants-lib-shared.ts

M /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/login-main/login-main.ts

M /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/environments/environment.pd1i.ts

M /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mby/src/environments/environment.ts

M /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/libs/env-config/src/index.ts

M /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/environments/environment.my.sit.ts
M /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/environments/environment.sg.prod.ts
M /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/environments/environment.dev.ts

M /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/login-main/login-main.scss

M /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/proxy.conf.js

M /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/environments/environment.model.ts
M /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/environments/environment.hlf.pd1.ts
M
/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/libs/shared/services/sl-web-service/src/lib/sl-web-service.service.t
s

M /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/libs/shared/constants/src/lib/env-const.service.ts

M /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/environments/environment.prod.ts

M /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/login-main/login-main.html

M /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/app-routing.module.ts

M /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/assets/i18n/en.json

M /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/environments/environment.sg.uat.ts
A /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/quran

A /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/quran/quran-list/quran-list.scss

A /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/libs/shared-assets/src/lib/cc_mib_ws/api/vi/ribms/surah/1.json
A /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/quran/quran.service.ts

A
/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/libs/shared-assets/src/lib/cc_mib_ws/api/v1/ribms/getQuran.json
A /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/assets/audio/An-Naas.mp3

A /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/quran/quran-list/quran-list.html
https://dev.silverlakemobility.com/svn/mleb/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/
http://api.alquran.cloud/v1/surah/1/ar.alafasy
https://dev.silverlakemobility.com/svn/mleb/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx

A
/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/quran/surah-detail/surah-detail.modul
ets

A
/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/quran/quran-list/quran-list. module.ts
A
/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/quran/surah-detail/surah-detail.html
A /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/quran/surah-detail

A /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/quran/quran-entity.service.ts

A /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/quran/surah-detail/surah-detail.ts
A /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/assets/imgs/quran-icon.png

A /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/assets/audio

A /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/quran/quran-list/quran-list.ts

A /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/quran/.DS_Store

A
/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/quran/quran-data-access.module.ts
A /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/assets/audio/Al-Falag.mp3

A /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/assets/audio/Al-Faatihah.mp3

A /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/assets/imgs/hadith-icon.png

A /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/quran/quran.metadata.ts

A
/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/libs/shared-assets/src/lib/cc_mib_ws/api/v1/ribms/surah/113.json
A
/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/quran/surah-detail/surah-detail.scss
A /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/libs/shared-assets/src/lib/cc_mib_ws/api/vi/ribms/surah

A /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/quran/quran-list

A
/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/libs/shared-assets/src/lib/cc_mib_ws/api/v1/ribms/surah/114.json

Megat - Demo Quran

#3 - 11 September 2023 10:13 AM - Hoo Dextor

- Status changed from Resolved to Closed

Files

Showroom eQuran and eHadith v0.2.pptx 203 KB 19 May 2023 Hoo Dextor
